%global variant_version 1.1.4

%global debug_package %{nil}

Name:           geometry-hpp
Version:        0.9.1
Release:        1%{?dist}
Summary:        Generic C++ interfaces for geometry types, collections, and features

License:        ISC
URL:            https://github.com/mapbox/geometry.hpp
Source0:        https://github.com/mapbox/geometry.hpp/archive/v%{version}/%{name}-%{version}.tar.gz
# Rip out mason stuff - we use our own packages
Patch0:         geometry-hpp-mason.patch

BuildRequires:  gcc-c++
BuildRequires:  mapbox-variant-devel >= %{variant_version}
BuildRequires:  mapbox-variant-static >= %{variant_version}

%description
Provides header-only, generic C++ interfaces for geometry
types, geometry collections, and features.

These types are designed to be easy to parse and serialize
to GeoJSON and to be a robust and high performance container
for data processing and conversion.


%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}

Requires:       mapbox-variant-devel >= %{variant_version}

%description    devel
Provides header-only, generic C++ interfaces for geometry
types, geometry collections, and features.

These types are designed to be easy to parse and serialize
to GeoJSON and to be a robust and high performance container
for data processing and conversion.


%prep
%autosetup -p 1 -n geometry.hpp-%{version}


%build


%install
mkdir -p %{buildroot}%{_includedir}
cp -pr include/mapbox %{buildroot}%{_includedir}


%check
%make_build test CXXFLAGS="-I$PWD/include %{optflags}"


%files devel
%doc README.md
%license LICENSE
%{_includedir}/mapbox


%changelog
* Sun Apr  9 2017 Tom Hughes <tom@compton.nu> - 0.9.1-1
- Initial build of 0.9.1
